Skip to main content
GET
/
api
/
v1
/
oi
/
momentum
OI Momentum
curl --request GET \
  --url https://api.example.com/api/v1/oi/momentum
Computes the rate of change (1st derivative) and acceleration (2nd derivative) of open interest over time. Rapid OI buildup followed by deceleration often precedes liquidation cascades.

Parameters

ParameterTypeDefaultDescription
symbolstringBTCUSDTTrading pair
hoursnumber6Lookback window in hours (max 168)

Example Request

curl -X GET "https://krovn.io/api/v1/oi/momentum?symbol=BTCUSDT&hours=6" \
  -H "X-API-Key: your_api_key"

Example Response

{
  "symbol": "BTCUSDT",
  "data": [
    {
      "timestamp": "2026-03-21T12:05:00.000Z",
      "oi": 18572000000,
      "ratePct": 0.1082,
      "accelerationPct": 0.0000
    },
    {
      "timestamp": "2026-03-21T12:10:00.000Z",
      "oi": 18592000000,
      "ratePct": 0.1077,
      "accelerationPct": -0.0005
    }
  ],
  "dataPoints": 2,
  "current": {
    "timestamp": "2026-03-21T12:10:00.000Z",
    "oi": 18592000000,
    "ratePct": 0.1077,
    "accelerationPct": -0.0005
  },
  "avgRatePct": 0.1080,
  "maxAcceleration": 0.0005,
  "signal": "BUILDING"
}
Signals: RAPID_BUILDUP (rate > 1% and accelerating), RAPID_UNWIND (rate < -1% and decelerating), BUILDING (rate > 0.3%), UNWINDING (rate < -0.3%), STABLE (otherwise).